<?php
include("../fnc.php");
enlinea_a();
//error_reporting(E_ALL);
$archivo=fopen("../fotos_usr/rpt_alumnos_cedula.csv","w+");
//header ("Content-Disposition: attachment; filename='rpt_alumnos.csv'\n\n");
//header ("Content-Type: application/octet-stream");
//header ("Content-Length: ".filesize($enlace));

$qalumno=mysql_query("select carnet, nombre, apellido, dcalle_avenida, dnumero_casa, dzona, dcolonia, ddepto, dmunicipio, padre_nombre, madre_nombre, fecha_nacimiento, lugar_nacimiento,
                      grado_estudio, nivel_estudio
                      from alumnos 
                      where year_estudio > 0
                      and alumnos.year_estudio = '$df_year_actual'
                      order by nivel_estudio, grado_estudio, apellido, nombre");

fwrite($archivo,"CARNET,NOMBRE,NOMBRE PADRE,NOMBRE MADRE,LUGAR DE NACIMIENTO,FECHA DE NACIMIENTO,DIRECCION,DEPARTAMENTO,MUNICIPIO,CARRERA,GRADO\n");
while($ialumno=mysql_fetch_array($qalumno)){

 $ialumno[fecha_nacimiento]=fecha($ialumno[fecha_nacimiento]);

 $ialumno[dcalle_avenida]=str_replace(","," ",$ialumno[dcalle_avenida]);
 $ialumno[dnumero_casa]=str_replace(","," ",$ialumno[dnumero_casa]);
 $ialumno[dcolonia]=str_replace(","," ",$ialumno[dcolonia]);
 $ialumno[lugar_nacimiento]=str_replace(","," ",$ialumno[lugar_nacimiento]);
 $ialumno[dcalle_avenida]=str_replace(","," ",$ialumno[dcalle_avenida]);
 
 $info=$ialumno;
 
 $direccion=$info[dcalle_avenida]." ".$info[dnumero_casa]." Zona ".$info[dzona]." ".$info[dcolonia]." ".get_municipio($info[dmunicipio])." ".get_departamento($info[ddepto]);
 $depto=get_departamento($info[ddepto]);
 $municipio=get_municipio($info[dmunicipio]);
 $grado=ggrado(enc($ialumno[grado_estudio]));
 $nivel=gnivel(enc($ialumno[nivel_estudio]));
 fwrite($archivo,"{$ialumno[carnet]},{$ialumno[nombre]} {$ialumno[apellido]},{$ialumno[padre_nombre]},{$ialumno[madre_nombre]},{$ialumno[lugar_nacimiento]},{$ialumno[fecha_nacimiento]},$direccion,$depto,$municipio,$nivel,$grado\n");
}
fclose($archivo);

echo "<a href='../fotos_usr/rpt_alumnos_cedula.csv'>DESCARGAR ARCHIVO</A>";
echo "<br>NOTA: Debe guardar el archivo como .csv <br>NO como .xls";
?>
